export function throttle(timing: number, callback: () => void): () => void {
    let timerId: ReturnType<typeof setTimeout> | null;

    return () => {
        if (timerId) {
            return;
        }

        timerId = setTimeout(function() {
            timerId = null;

            if (callback) {
                callback();
            }
        }, timing || 100);
    };
}
