import { ModuleThis } from '@idalite-frontend/nuxt-types';
import { NuxtDeviceOptions } from '~/types';

const path = require('path');

async function nuxtDeviceModule(this: ModuleThis, moduleOptions: NuxtDeviceOptions): Promise<void> {
    // Add options to runtimeConfig
    this.options.publicRuntimeConfig.nuxtDevice = {
        ...this.options.nuxtDevice && this.options.nuxtDevice,
        ...moduleOptions && moduleOptions,
    };

    await this.addPlugin(path.resolve(__dirname, './plugin.ts'));
}

module.exports = nuxtDeviceModule;
module.exports.meta = require('../package.json');
