import { resolve } from 'path';

module.exports = {
    head: {
        title: 'IdaLite Nuxt Device',

        meta: [
            {
                charset: 'utf-8',
                lang: 'ru',
            },
            {
                name: 'viewport',
                content: 'width=device-width, initial-scale=1',
            },
        ],

        link: [
            {
                rel: 'stylesheet',
                href: 'https://fonts.googleapis.com/css2?family=Ubuntu&display=swap',
            },
        ],
    },

    modules: [
        ['~/../../dist', {
            mobile: 720,
            tablet: 1200,
            laptop: 1440,
            desktop: 1920,
            '2k': 2560,
        }],
    ],

    build: {
        postcss: false,
    },

    alias: {
        '~': resolve(__dirname, '../..'),
    },
};
