import { Context } from '@idalite-frontend/nuxt-types';

export enum NuxtDeviceTypeEnum {
    Mobile = 'mobile',
    Tablet = 'tablet',
    Laptop = 'laptop',
    Desktop = 'desktop',
}

export type NuxtDeviceType = NuxtDeviceTypeEnum | string;

export type NuxtDeviceOptions = {
    [key: string | NuxtDeviceType]: number,
}

export type NuxtDevice = {
    state: NuxtDeviceType | string,
    is(...a: Array<NuxtDeviceType | string>): boolean,
    isMobile(): boolean,
    isTablet(): boolean,
    isLaptop(): boolean,
    isDesktop(): boolean,
}

export type createNuxtDevice = (ctx: Context, breakpoints: NuxtDeviceOptions) => NuxtDevice;
export let createNuxtDevice;

declare module '@nuxt/vue-app' {
  interface NuxtAppOptions {
    $device: NuxtDevice;
  }
}
// Nuxt 2.9+
declare module '@nuxt/types' {
  interface NuxtAppOptions {
    $device: NuxtDevice;
  }

  interface Context {
    $device: NuxtDevice;
  }
}
